local modpath = minetest.get_modpath(minetest.get_current_modname())

dofile(modpath.."/debug.lua")



if minetest.settings:get_bool("enable_banjo", true) then
	dofile(modpath.."/banjo.lua")
end

if minetest.settings:get_bool("enable_harmonica", true) then
	dofile(modpath.."/harmonica.lua")
end

if minetest.settings:get_bool("enable_drum", true) then
	dofile(modpath.."/drum.lua")
end

if minetest.get_modpath("homedecor_misc") ~= nil then
	if minetest.settings:get_bool("enable_homedecor_piano", true) then
		dofile(modpath.."/homedecor_piano.lua")
	end
end



dofile(modpath.."/parts.lua")
dofile(modpath.."/crafting.lua")
